# syntax=docker/dockerfile:1
FROM python:3.12.8-alpine

WORKDIR /app
COPY ./src/ .

RUN rm redirector
RUN rm redirector.py
RUN rm -r static
RUN rm -r templates

COPY ./requirements.txt .

RUN python -m pip install --upgrade pip
RUN python -m pip install -r requirements.txt

RUN apk update
RUN apk add bash
RUN apk add nano

CMD [ "bash", "/app/open-redirect"]
